local function clone_paq()
    local path = vim.fn.stdpath "data" .. "/site/pack/paqs/start/paq-nvim"
    local is_installed = vim.fn.empty(vim.fn.glob(path)) == 0
    if not is_installed then
        vim.fn.system {
            "git",
            "clone",
            "--depth",
            "1",
            "https://github.com/savq/paq-nvim.git",
            path,
        }
        return true
    end
end

local function bootstrap_paq(packages)
    local first_install = clone_paq()
    local paq = require("paq")

    paq(packages)
    vim.cmd("packadd paq-nvim")

    if first_install then
        paq.install()
    end
end

bootstrap_paq {
    { "catppuccin/nvim",                          as = "catppuccin" },
    { "lukas-reineke/indent-blankline.nvim",      branch = "v2.20.7" },
    { "lukas-reineke/lsp-format.nvim",            branch = "v2.5.1" },
    { "nvim-telescope/telescope-fzf-native.nvim", run = "make" },
    { "nvim-telescope/telescope.nvim",            branch = "0.1.x" },
    { "nvim-treesitter/nvim-treesitter",          branch = "master" },
    { "stevearc/oil.nvim",                        branch = "v1.0.0" },
    { "williamboman/mason.nvim",                  branch = "v1.6.0" },
    "L3MON4D3/LuaSnip",
    "hrsh7th/cmp-buffer",
    "hrsh7th/cmp-cmdline",
    "hrsh7th/cmp-nvim-lsp",
    "hrsh7th/cmp-path",
    "hrsh7th/nvim-cmp",
    "lewis6991/gitsigns.nvim",
    "mickael-menu/zk-nvim",
    "neovim/nvim-lspconfig",
    "nvim-lua/lsp-status.nvim",
    "nvim-lua/plenary.nvim",
    "nvim-lualine/lualine.nvim",
    "nvim-tree/nvim-web-devicons",
    "nvim-treesitter/nvim-treesitter-context",
    "nvim-treesitter/nvim-treesitter-textobjects",
    "nvim-treesitter/playground",
    "onsails/lspkind.nvim",
    "savq/paq-nvim",
    "windwp/nvim-autopairs",
}
